# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    system-monitoring-center
Version: 1.35.1
Release: 1.ndias%{?dist}
Summary: Multi-featured system monitor

License: GPLv3
URL:     https://github.com/hakandundar34coding/system-monitoring-center
Source0: https://github.com/hakandundar34coding/system-monitoring-center/archive/refs/tags/v%{version}.tar.gz

BuildArch: noarch

BuildRequires: perl-macros, python3-gobject-devel, pycairo, python3-setuptools
BuildRequires: python3-devel

Requires: bash, dmidecode, iproute, python3 >= 3.6, python3-cairo
Requires: udev, util-linux
Requires: xrandr

%description
Detailed system performance and usage usage monitoring/managing features.
- Monitoring CPU, RAM, Disk, Network, GPU hardware/usage information
- Monitoring and managing processes and services (systemd)
- Monitoring users, sensors and general system information


%prep
%setup -q


%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=%{buildroot} 
chmod -x %{buildroot}/%{_mandir}/man1/%{name}.1.gz


%find_lang %{name}

%files -f %{name}.lang
%doc Changes.md README.md
%license LICENSE

%{_bindir}/%{name}

%{python3_sitelib}/system_monitoring_center-%{version}-py%{python3_version}.egg-info/PKG-INFO
%{python3_sitelib}/system_monitoring_center-%{version}-py%{python3_version}.egg-info/SOURCES.txt
%{python3_sitelib}/system_monitoring_center-%{version}-py%{python3_version}.egg-info/dependency_links.txt
%{python3_sitelib}/system_monitoring_center-%{version}-py%{python3_version}.egg-info/requires.txt
%{python3_sitelib}/system_monitoring_center-%{version}-py%{python3_version}.egg-info/top_level.txt

%dir %{python3_sitelib}/systemmonitoringcenter

%{python3_sitelib}/systemmonitoringcenter/__init__.py

%dir %{python3_sitelib}/systemmonitoringcenter/__pycache__

%{python3_sitelib}/systemmonitoringcenter/__pycache__/__init__.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/systemmonitoringcenter/__pycache__/__init__.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/systemmonitoringcenter/__pycache__/start.cpython-%{python3_version_nodots}.opt-1.pyc
%{python3_sitelib}/systemmonitoringcenter/__pycache__/start.cpython-%{python3_version_nodots}.pyc
%{python3_sitelib}/systemmonitoringcenter/start.py

%{_datadir}/applications/io.github.hakandundar34coding.system-monitoring-center.desktop

%{_mandir}/man1/%{name}.1.gz

%{_datadir}/polkit-1/actions/io.github.hakandundar34coding.system-monitoring-center.policy
%{_datadir}/%{name}/database/arm.ids
%{_datadir}/%{name}/database/database_license.txt
%{_datadir}/%{name}/database/sdcard.ids

%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%dir %{_datadir}/%{name}

%{_datadir}/%{name}/icons/hicolor/scalable/actions/%{name}-*-symbolic.svg
%{_datadir}/%{name}/icons/hicolor/scalable/apps/%{name}.svg

%dir %{_datadir}/%{name}/src

%{_datadir}/%{name}/src/*.py

%dir %{_datadir}/%{name}/ui

%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/src/__version__

%post
gtk-update-icon-cache %{_datadir}/icons/hicolor
update-desktop-database

%postun
gtk-update-icon-cache %{_datadir}/icons/hicolor
update-desktop-database

%changelog
* Wed Dec 07 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.35.1-1.ndias
- Version 1.35.1

* Mon Aug 22 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.26.1-1.ndias
- Version 1.26.1
